com.creamtec.ajaxswing.gui

## Class AjaxSwingGraphicsDevice

- java.lang.Object
- - java.awt.GraphicsDevice
  - - com.creamtec.ajaxswing.gui.AjaxSwingGraphicsDevice

-     public class AjaxSwingGraphicsDevice
      extends java.awt.GraphicsDevice

  Used to provide simulated graphics environment for GUI applications.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.GraphicsDevice

      `java.awt.GraphicsDevice.WindowTranslucency`

  - ### Field Summary

    - ### Fields inherited from class java.awt.GraphicsDevice

      `TYPE_IMAGE_BUFFER, TYPE_PRINTER, TYPE_RASTER_SCREEN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.GraphicsConfiguration` | `getBestConfiguration(java.awt.GraphicsConfigTemplate gct)` Returns the "best" configuration possible that passes the criteria defined in the `GraphicsConfigTemplate`.
    `java.awt.GraphicsConfiguration[]` | `getConfigurations()` Returns all of the `GraphicsConfiguration` objects associated with this `GraphicsDevice`.
    `java.awt.GraphicsConfiguration` | `getDefaultConfiguration()` Returns the default `GraphicsConfiguration` associated with this `GraphicsDevice`.
    `java.lang.String` | `getIDstring()`
    `int` | `getType()`

    - ### Methods inherited from class java.awt.GraphicsDevice

      `getAvailableAcceleratedMemory, getDisplayMode, getDisplayModes, getFullScreenWindow, isDisplayChangeSupported, isFullScreenSupported, isWindowTranslucencySupported, setDisplayMode, setFullScreenWindow`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public int getType()

      Specified by:
        `getType` in class `java.awt.GraphicsDevice`

    - #### getIDstring

          public java.lang.String getIDstring()

      Specified by:
        `getIDstring` in class `java.awt.GraphicsDevice`

    - #### getConfigurations

          public java.awt.GraphicsConfiguration[] getConfigurations()

      Returns all of the `GraphicsConfiguration` objects associated with this `GraphicsDevice`.
      Specified by:
        `getConfigurations` in class `java.awt.GraphicsDevice`
      Returns:
        an array of `GraphicsConfiguration` objects that are associated with this `GraphicsDevice`.

    - #### getDefaultConfiguration

          public java.awt.GraphicsConfiguration getDefaultConfiguration()

      Returns the default `GraphicsConfiguration` associated with this `GraphicsDevice`.
      Specified by:
        `getDefaultConfiguration` in class `java.awt.GraphicsDevice`
      Returns:
        the default `GraphicsConfiguration` of this `GraphicsDevice`.

    - #### getBestConfiguration

          public java.awt.GraphicsConfiguration getBestConfiguration(java.awt.GraphicsConfigTemplate gct)

      Returns the "best" configuration possible that passes the criteria defined in the `GraphicsConfigTemplate`.
      Overrides:
        `getBestConfiguration` in class `java.awt.GraphicsDevice`
      Parameters:
        `gct` - the `GraphicsConfigTemplate` object used to obtain a valid `GraphicsConfiguration`
      Returns:
        a `GraphicsConfiguration` that passes the criteria defined in the specified `GraphicsConfigTemplate`.
      See Also:
        `GraphicsConfigTemplate`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.